Get Link Tracking Profile
GET
/api/v1/workspaces/{workspace_id}/link_tracking_profiles/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/link_tracking_profiles/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/link_tracking_profiles/1 \ --header 'Authorization: Bearer <token>'Retrieves a link_tracking_profile.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Link Tracking Profile ID
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
parameters
Array
One of:
object
type
required
string
parameter
required
The URL query parameter name.
string
value
required
The fixed value for this parameter.
string
label
string | null
hint
string | null
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string | null
hint
string | null
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string | null
hint
string | null
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string | null
hint
string | null
custom_template
string | null
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "My Link Tracking Profile", "parameters": [ { "type": "fixed_value", "parameter": "utm_source", "value": "newsletter" } ], "custom_template": "{{ url }}", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}